#!/bin/sh

MD5SUM="22fc46fda1b2cfd93ccb1f5825bdf0d5  /etc/dbus-1/session.conf"

set -e

if [ "$1" != "--force" ]; then

    # if we've already upgraded the config then bail
    [ -e /var/lib/dbus/.rh-config-is-upgraded ] && exit 0

    # if someone else has modified the config then bail
    echo "${MD5SUM}" | md5sum --check --status || exit 0
fi

sed -i -e 's@<servicedir>/usr/share/dbus-1/services</servicedir>@<standard_session_servicedirs />@g' /etc/dbus-1/session.conf

# we've upgraded the config, don't do it again
touch /var/lib/dbus/.rh-config-is-upgraded
